Botan 1.10.17

Public Member Functions | List of all members
Botan::Stream_IO_Error Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Stream_IO_Error:

## Public Member Functions
| Stream_IO_Error (const std::string &err)

## Detailed Description

Stream_IO_Error Exception

Definition at line 165 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Stream_IO_Error()

Botan::Stream_IO_Error::Stream_IO_Error | ( | const std::string & | err | ) |
| inline

Definition at line 167 of file exceptn.h.

167 :
168 Exception("I/O error: " + err)
169 {}
Botan::Exception
std::runtime_error Exception
Definition: exceptn.h:19

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h